Package de.willuhn.jameica.hbci.io.csv

# Class AbstractBaseUeberweisungFormat<T extends BaseUeberweisung>

java.lang.Object
de.willuhn.jameica.hbci.io.csv.AbstractBaseUeberweisungFormat<T>

Type Parameters:
  `T` - Konkreter Typ - also Ueberweisung oder Lastschrift

All Implemented Interfaces:
  `Format<T>`

public abstract class AbstractBaseUeberweisungFormat<T extends BaseUeberweisung> extends Object implements Format<T>
Abstrakte Basis-Implementierung des CSV-Formats fuer den Import von Ueberweisungen und Lastschriften.

## Constructor Summary

Constructors
Constructor
Description
`AbstractBaseUeberweisungFormat()`

## Method Summary

Modifier and Type
Method
Description
`Profile`
`getDefaultProfile()`
Liefert das Default-Profil fuer den Import.
`ImportListener`
`getImportListener()`
Liefert einen optionalen Import-Listener.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.io.csv.Format

`getType`

## Constructor Details

### AbstractBaseUeberweisungFormat

public AbstractBaseUeberweisungFormat()

## Method Details

### getDefaultProfile

public Profile getDefaultProfile()
Description copied from interface: `Format`
Liefert das Default-Profil fuer den Import.

Specified by:
  `getDefaultProfile` in interface `Format<T extends BaseUeberweisung>`
Returns:
  das Default-Profil.

### getImportListener

public ImportListener getImportListener()
Description copied from interface: `Format`
Liefert einen optionalen Import-Listener.

Specified by:
  `getImportListener` in interface `Format<T extends BaseUeberweisung>`
Returns:
  optionaler Import-Listener.